IParametersQuery
Service to query parameters.
export interface IParametersQuery
Methods
Method | Description |
|---|---|
Starts the query. | |
Sets filter for the query. | |
Sets include for the query. | |
(BETA) Selects which backend endpoint flavor to use when listing parameters. Default method: “GET” | |
Sets origin for the query. | |
Sets starting page for the query. | |
Sets number of parameters to return per page. Default size: 50 | |
Sets sorting for the query. |
Method details
IParametersQuery.query()method
Starts the query.
query(): Promise<IParametersQueryResult>;
Returns
Promise<IParametersQueryResult>
promise of first page of the results
IParametersQuery.withFilter()method
Sets filter for the query.
withFilter(filter: IFilterBaseOptions): IParametersQuery;
Parameters
Parameter | Type | Description |
|---|---|---|
filter | filter to apply |
Returns
parameters query
IParametersQuery.withInclude()method
Sets include for the query.
withInclude(include: string[]): IParametersQuery;
Parameters
Parameter | Type | Description |
|---|---|---|
include | string[] | include to apply |
Returns
parameters query
IParametersQuery.withMethod()methodBeta
Beta API. Mostly stable, but details may change in a minor release, outside SemVer.
Selects which backend endpoint flavor to use when listing parameters. Default method: “GET”
withMethod(method: QueryMethod): IParametersQuery;
Parameters
Parameter | Type | Description |
|---|---|---|
method | endpoint flavor to use (“GET” or “POST”) |
Returns
parameters query
IParametersQuery.withOrigin()method
Sets origin for the query.
withOrigin(origin: ObjectOrigin | (string & {})): IParametersQuery;
Parameters
Parameter | Type | Description |
|---|---|---|
origin | ObjectOrigin | (string & {}) | origin to apply |
Returns
parameters query
IParametersQuery.withPage()method
Sets starting page for the query.
withPage(page: number): IParametersQuery;
Parameters
Parameter | Type | Description |
|---|---|---|
page | number | zero indexed, must be non-negative |
Returns
parameters query
IParametersQuery.withSize()method
Sets number of parameters to return per page. Default size: 50
withSize(size: number): IParametersQuery;
Parameters
Parameter | Type | Description |
|---|---|---|
size | number | desired max number of parameters per page must be a positive number |
Returns
parameters query
IParametersQuery.withSorting()method
Sets sorting for the query.
withSorting(sort: string[]): IParametersQuery;
Parameters
Parameter | Type | Description |
|---|---|---|
sort | string[] | sorting criteria in the format: property,(asc|desc) |
Returns
parameters query